### Method

# Gtk Assistantcommit

deprecated: 4.10

#### Declaration [src]

    void
    gtk_assistant_commit (
      GtkAssistant* assistant
    )

#### Description [src]

Erases the visited page history.

GTK will then hide the back button on the current page, and removes the cancel button from subsequent pages.

Use this when the information provided up to the current page is hereafter deemed permanent and cannot be modified or undone. For example, showing a progress page to track a long-running, unreversible operation after the user has clicked apply on a confirmation page.

Deprecated since: 4.10

This widget will be removed in GTK 5